<?php
/*******************************************/
/* Dating registration form with coreg     */
/* Script : Yes! Messenger - Coreg - Form  */
/* Support : technico@carpediem.fr         */
/*******************************************/

/**
 * Configuration
 * All the params can be found here : 
 * http://statsv3.carpediem.fr/index.php?module=promo_yesmsng_landing
 **/
$config = array(
    'id' => 10000,
    'tracker' => 'deftrack',
    'id_mb' => 'yes', 
    );
?>
<!DOCTYPE html>
<html lang="fr-FR" prefix="og: http://ogp.me/ns#">
<head>

	<meta charset="UTF-8">
    <meta name="viewport" content="width=500, initial-scale=1">

	<title>Inscription gratuite</title>
    <link rel="stylesheet" href="media/css/coregform.css">

</head>
<body>

<br>

<form method="post" action="index.php" name="regForm" id="regForm">
    <div id="register">
        <input type="hidden" name="json" value="register">
        <input type="hidden" name="data_format" value="json">
        <input type="hidden" name="id" value="<?php echo $config['id']; ?>">
        <input type="hidden" name="tracker" value="<?php echo $config['tracker']; ?>_formCoreg">
        <input type="hidden" name="id_mb" value="<?php echo $config['id_mb']; ?>">
        <div class="control-group">
            <label for="pseudo">Pseudo :</label><br>
            <input type="text" name="pseudo" id="pseudo" placeholder="Pseudo" pattern="^[a-zA-Z0-9]{6,20}$" required>
        </div>
        <div class="control-group">
            <label for="password">Mot de passe</label><br>
            <input type="password" name="password" id="password" placeholder="Mot de passe" required>
        </div>
        <div class="control-group">
            <label for="email">Adresse mail :</label><br>
            <input type="email" name="email" id="email" placeholder="Adresse mail" required>
        </div>
        <div class="form-actions">
            <button type="submit">Ouvrir mon compte</button>
        </div>
    </div>
</form>

<form method="post" action="index.php" name="regFormFinal" id="regFormFinal">
    <div id="download">
        <h1>Valide ton compte gratuit</h1>
        <p>Pour valider ton compte gratuit et commencer à organiser tes plans cul, tu dois tout d'abord valider ta majorité.</p>
        <br>
        <a href="about:blank;" class="downloadLink" target="_blank" title="Valider ma majorité"><span>Valider ma majorité</span></a>
    </div>
</form>

<script src="//ajax.aspnetcdn.com/ajax/jQuery/jquery-2.1.3.min.js"></script>
<script src="//ajax.aspnetcdn.com/ajax/jquery.ui/1.11.4/jquery-ui.min.js"></script>
<script src="//ajax.aspnetcdn.com/ajax/jquery.validate/1.9/jquery.validate.min.js"></script>
<script>
$(document).ready(function(){

    $('#regFormFinal').hide();

	$('#regForm').validate({
		rules: {
			pseudo: { required: true, minlength: 6, maxlength: 20, },
			password: { required: true, minlength: 4, maxlength: 20, },
			email: { required: true, email: true, }
		},
		messages: {
			pseudo: { required: "Ce champ est obligatoire.", minlength: "Minimum 4 caractères.", maxlength: "Maximum 20 caractères est requis.", },
			password: { required: "Ce champ est obligatoire", minlength: "Minimum 4 caractères.", maxlength: "Maximum 20 caractères.", },
			email: { required: "Ce champ est obligatoire.", email: "Adresse mail invalide.", }
		},
		highlight: function(label) { $(label).removeClass('valid').closest('.control-group').addClass('error').removeClass('success'); },
		success: function(label) { label.text('OK!').addClass('valid').closest('.control-group').addClass('success'); }
    });

	$('#regForm').submit(function(e){
		$.ajax({
			url: "ws.php",  
			type: "post",  
			data: $('#regForm').serialize(),
			dataType: 'json',
			success: function(obj) { 
				if ( obj.status == 'ok' ) {
                    $('.downloadLink').attr('href', obj.url_cb);
					$('#regForm').hide();
					$('#regFormFinal').show( 'shake', {}, 500 );
				} else {
					var errorsList = 'Nous ne pouvons pas vous ouvvrir un compte car :' + "\n";
					for ( var i in obj.errors ) {
						errorsList += "-" + obj.errors[i] + "\n";
					}
					alert(errorsList);
				}
			}
		});  
		e.preventDefault();
	});

});
</script>

</body>
</html>