<?php
/*******************************************/
/* Dating registration form with coreg     */
/* Script : Yes! Messenger - Coreg - Form  */
/* Support : technico@carpediem.fr         */
/*******************************************/

/**
 * Filter Incoming Data
 * @param  array  $post
 * @return array
 */
function filterInput(array $post = array())
{
    $args = array(
        'id' => FILTER_VALIDATE_INT,
        'id_mb' => array(
            'filter' => FILTER_SANITIZE_STRING,
            'flags'  => FILTER_FLAG_STRIP_LOW|FILTER_FLAG_STRIP_HIGH
        ),
        'tracker' => array(
            'filter' => FILTER_SANITIZE_STRING,
            'flags' => FILTER_FLAG_STRIP_LOW|FILTER_FLAG_STRIP_HIGH
        ),
        'email' => FILTER_VALIDATE_EMAIL,
        'pseudo' => array(
            'filter' => FILTER_VALIDATE_REGEXP,
            'options' => array('regexp' => '`^([A-Za-z0-9]+){6,20}$`')
        ),
        'password' => array(
            'filter' => FILTER_VALIDATE_REGEXP,
            'options' => array('regexp' => '`^([A-Za-z0-9]+){4,20}$`')
        ),
    );

    return array_filter(array_merge(array(
        'email' => false,
        'pseudo' => false,
        'password' => false,
    ), (array) filter_var_array($post, $args)));

}

/**
 * Validate Inputs
 * @param  array  $inputs
 * @return array
 */
function validateInput(array $inputs = array())
{
    $errors = array();
    if (! isset($inputs['email'])) {
        $errors['email'] = "L'adresse mail est obligatoire.";
    }

    if (! isset($inputs['password'])) {
        $errors['password'] = "Le mot de passe doit faire entre 4 et 20 caractères et ne contenir que des chiffres et des lettres.";
    }

    if (! isset($inputs['pseudo'])) {
        $errors['pseudo'] = "Le pseudo doit faire entre 6 et 20 caractères et ne contenir que des chiffres et des lettres.";
    }

    return $errors;
}

header('Content-type: application/json; charset=utf-8');

// Only POST datas alowed
if ('POST' != $_SERVER['REQUEST_METHOD']) {
    die(json_encode(array(
        'status' => 'errors',
        'errors' => array('method' => ' Request Method Not Supported'),
    )));
}

// Filters & validate POST datas
$inputs = filterInput($_POST);
$errors = validateInput($inputs);
if (count($errors)) {
    die(json_encode(array(
        'status' => 'errors',
        'errors' => $errors,
    )));
}

// Remote registering
$url = 'http://local5.yesmessenger.com/messenger/ws.php';
$inputs['format'] = 'json';
$inputs['mod'] = 'webmaster-register';
die(file_get_contents($url . '?' . http_build_query($inputs)));